package com.ruoyi.system.model.voucher;


import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author root
 * @description 凭证导入实体
 * @Date 2024-01-16 16:55:09
 **/
public class VoucherImportModel {
    public static final String ENTITY_NAME = "pzcx.pzcx.voucherImportModel";
    public static final String VOUCHERID = "voucherId";
    public static final String PERIOD = "period";
    public static final String DISPLAYNAME = "displayname";
    public static final String SRCSYSTEM = "srcsystem";
    public static final String VOUCHERSTATUS = "voucherstatus";
    public static final String TOTALDEBIT_ORG = "totaldebit_org";
    public static final String TOTALCREDIT_ORG = "totalcredit_org";
    public static final String ORGANIZEDEBITTOTALAMOUNT = "organizeDebitTotalAmount";
    public static final String ORGANIZECREDITTOTALAMOUNT = "organizeCreditTotalAmount";
    public static final String TOTALDEBIT_GROUP = "totaldebit_group";
    public static final String TOTALCREDIT_GROUP = "totalcredit_group";
    public static final String TOTALDEBIT_GLOBAL = "totaldebit_global";
    public static final String TOTALCREDIT_GLOBAL = "totalcredit_global";
    public static final String MAKETIME = "maketime";
    public static final String MAKERID = "makerId";
    public static final String MAKERNAME = "makerName";
    public static final String AUDITORID = "auditorId";
    public static final String AUDITORNAME = "auditorName";
    public static final String TALLYMANID = "tallymanId";
    public static final String TALLYMANNAME = "tallymanName";
    public static final String ACCBOOKCODE = "accBookCode";
    public static final String ACCBOOKNAME = "accBookName";
    public static final String ORGCODE = "orgCode";
    public static final String ORGNAME = "orgName";
    public static final String VOUCHERTYPENAME = "voucherTypeName";
    public static final String VOUCHERSTR = "voucherStr";
    public static final String CREATETIME = "createTime";
    public static final String MODIFYTIME = "modifyTime";
    public static final String CREATOR = "creator";
    public static final String MODIFIER = "modifier";
    public static final String YTENANTID = "ytenantId";
    public static final String ID = "id";
    public static final String PUBTS = "pubts";
    public static final String SOURCEGRANDID = "sourceGrandId";
    public static final String FIRSTID = "firstId";
    public static final String FIRSTCHILDID = "firstChildId";
    public static final String FIRSTBUSIOBJ = "firstBusiObj";
    public static final String FIRSTCODE = "firstCode";
    public static final String BIZFLOWID = "bizflowId";
    public static final String BIZFLOWNAME = "bizflowName";
    public static final String SOURCEID = "sourceId";
    public static final String SOURCECHILDID = "sourceChildId";
    public static final String BIZFLOWINSTANCEID = "bizFlowInstanceId";
    public static final String SOURCEBUSIOBJ = "sourceBusiObj";
    public static final String SOURCECODE = "sourceCode";
    public static final String BIZFLOWMAKEBILLCODE = "bizFlowMakeBillCode";
    public static final String DR = "dr";
    public static final String VERIFYSTATE = "verifyState";
    public static final String AUDITOR = "auditor";
    public static final String AUDITTIME = "auditTime";
    public static final String AUDITNOTE = "auditNote";
    public static final String PROCINSTID = "procinstId";
    public static final String VOUCHERBODYLIST = "voucherBodyList";
    public static final String DESCRIPTION = "description";

    /* 凭证ID,uri:pzcx.pzcx.voucherImportModel.voucherId */
    private String voucherId;
    /* 会计期间,uri:pzcx.pzcx.voucherImportModel.period */
    private String period;
    /* 展示名称(凭证字-凭证号),uri:pzcx.pzcx.voucherImportModel.displayname */
    private String displayname;
    /* 来源系统名称,uri:pzcx.pzcx.voucherImportModel.srcsystem */
    private String srcsystem;
    /* 凭证状态,uri:pzcx.pzcx.voucherImportModel.voucherstatus */
    private String voucherstatus;
    /* 借方本币合计(账簿),uri:pzcx.pzcx.voucherImportModel.totaldebit_org */
    private BigDecimal totaldebit_org;
    /* 贷方本币合计(账簿),uri:pzcx.pzcx.voucherImportModel.totalcredit_org */
    private BigDecimal totalcredit_org;
    /* 借方本币合计(组织),uri:pzcx.pzcx.voucherImportModel.organizeDebitTotalAmount */
    private BigDecimal organizeDebitTotalAmount;
    /* 贷方本币合计(组织),uri:pzcx.pzcx.voucherImportModel.organizeCreditTotalAmount */
    private BigDecimal organizeCreditTotalAmount;
    /* 借方本币合计(集团),uri:pzcx.pzcx.voucherImportModel.totaldebit_group */
    private BigDecimal totaldebit_group;
    /* 贷方本币合计(集团),uri:pzcx.pzcx.voucherImportModel.totalcredit_group */
    private BigDecimal totalcredit_group;
    /* 借方本币合计(全局),uri:pzcx.pzcx.voucherImportModel.totaldebit_global */
    private BigDecimal totaldebit_global;
    /* 贷方本币合计(全局),uri:pzcx.pzcx.voucherImportModel.totalcredit_global */
    private BigDecimal totalcredit_global;
    /* 制单日期,uri:pzcx.pzcx.voucherImportModel.maketime */
    private String maketime;
    /* 制单人ID,uri:pzcx.pzcx.voucherImportModel.makerId */
    private String makerId;
    /* 制单人用户名,uri:pzcx.pzcx.voucherImportModel.makerName */
    private String makerName;
    /* 审核人ID,uri:pzcx.pzcx.voucherImportModel.auditorId */
    private String auditorId;
    /* 审核人用户名,uri:pzcx.pzcx.voucherImportModel.auditorName */
    private String auditorName;
    /* 记账人ID,uri:pzcx.pzcx.voucherImportModel.tallymanId */
    private String tallymanId;
    /* 记账人用户名,uri:pzcx.pzcx.voucherImportModel.tallymanName */
    private String tallymanName;
    /* 账簿code,uri:pzcx.pzcx.voucherImportModel.accBookCode */
    private String accBookCode;
    /* 账簿名称,uri:pzcx.pzcx.voucherImportModel.accBookName */
    private String accBookName;
    /* 组织code,uri:pzcx.pzcx.voucherImportModel.orgCode */
    private String orgCode;
    /* 组织名称,uri:pzcx.pzcx.voucherImportModel.orgName */
    private String orgName;
    /* 凭证类型名称,uri:pzcx.pzcx.voucherImportModel.voucherTypeName */
    private String voucherTypeName;
    /* 凭证字(中文简体),uri:pzcx.pzcx.voucherImportModel.voucherStr */
    private String voucherStr;

    private String description;
    /* 创建时间,uri:iuap.busiObj.IAuditInfo.createTime */
    private Date createTime;
    /* 修改时间,uri:iuap.busiObj.IAuditInfo.modifyTime */
    private Date modifyTime;
    /* 创建人,uri:iuap.busiObj.IAuditInfo.creator */
    private String creator;
    /* 修改人,uri:iuap.busiObj.IAuditInfo.modifier */
    private String modifier;
    /* 租户id,uri:iuap.busiObj.IYTenant.ytenantId */
    private String ytenantId;
    /* id,uri:iuap.busiObj.BizObject.id */
    private String id;
    /* pubts,uri:iuap.busiObj.BizObject.pubts */
    private Date pubts;
    /* 来源孙表id,uri:iuap.busiObj.BusinessFlowSourcesItf.sourceGrandId */
    private String sourceGrandId;
    /* 来源单据主表id,uri:iuap.busiObj.BusinessFlowSourcesItf.firstId */
    private String firstId;
    /* 来源单据子表id,uri:iuap.busiObj.BusinessFlowSourcesItf.firstChildId */
    private String firstChildId;
    /* 来源业务对象,uri:iuap.busiObj.BusinessFlowSourcesItf.firstBusiObj */
    private String firstBusiObj;
    /* 来源单据号,uri:iuap.busiObj.BusinessFlowSourcesItf.firstCode */
    private String firstCode;
    /* 业务流id,uri:iuap.busiObj.BusinessFlowItf.bizflowId */
    private String bizflowId;
    /* 流程名称,uri:iuap.busiObj.BusinessFlowItf.bizflowName */
    private String bizflowName;
    /* 上游单据主表id,uri:iuap.busiObj.BusinessFlowItf.sourceId */
    private String sourceId;
    /* 上游单据子表id,uri:iuap.busiObj.BusinessFlowItf.sourceChildId */
    private String sourceChildId;
    /* 业务流实例id,uri:iuap.busiObj.BusinessFlowItf.bizFlowInstanceId */
    private String bizFlowInstanceId;
    /* 上游业务对象,uri:iuap.busiObj.BusinessFlowItf.sourceBusiObj */
    private String sourceBusiObj;
    /* 上游单据号,uri:iuap.busiObj.BusinessFlowItf.sourceCode */
    private String sourceCode;
    /* 单据转换规则编码,uri:iuap.busiObj.BusinessFlowItf.bizFlowMakeBillCode */
    private String bizFlowMakeBillCode;
    /* 逻辑删除,uri:iuap.busiObj.LogicDelete.dr */
    private Short dr;
    /* 单据状态,uri:iuap.busiObj.ApprovalFlowItf.verifyState */
    private Short verifyState;
    /* 审批人,uri:iuap.busiObj.ApprovalFlowItf.auditor */
    private String auditor;
    /* 审批日期,uri:iuap.busiObj.ApprovalFlowItf.auditTime */
    private Date auditTime;
    /* 审批批语,uri:iuap.busiObj.ApprovalFlowItf.auditNote */
    private String auditNote;
    /* 流程实例ID,uri:iuap.busiObj.ApprovalFlowItf.procinstId */
    private String procinstId;
    /* 子表实体引用 */
    private List<VoucherBody> voucherBodyList;

    public void setVoucherId(String voucherId) {
        this.voucherId = voucherId;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public void setDisplayname(String displayname) {
        this.displayname = displayname;
    }

    public void setSrcsystem(String srcsystem) {
        this.srcsystem = srcsystem;
    }

    public void setVoucherstatus(String voucherstatus) {
        this.voucherstatus = voucherstatus;
    }

    public void setTotaldebit_org(BigDecimal totaldebit_org) {
        this.totaldebit_org = totaldebit_org;
    }

    public void setTotalcredit_org(BigDecimal totalcredit_org) {
        this.totalcredit_org = totalcredit_org;
    }

    public void setOrganizeDebitTotalAmount(BigDecimal organizeDebitTotalAmount) {
        this.organizeDebitTotalAmount = organizeDebitTotalAmount;
    }

    public void setOrganizeCreditTotalAmount(BigDecimal organizeCreditTotalAmount) {
        this.organizeCreditTotalAmount = organizeCreditTotalAmount;
    }

    public void setTotaldebit_group(BigDecimal totaldebit_group) {
        this.totaldebit_group = totaldebit_group;
    }

    public void setTotalcredit_group(BigDecimal totalcredit_group) {
        this.totalcredit_group = totalcredit_group;
    }

    public void setTotaldebit_global(BigDecimal totaldebit_global) {
        this.totaldebit_global = totaldebit_global;
    }

    public void setTotalcredit_global(BigDecimal totalcredit_global) {
        this.totalcredit_global = totalcredit_global;
    }

    public void setMaketime(String maketime) {
        this.maketime = maketime;
    }

    public void setMakerId(String makerId) {
        this.makerId = makerId;
    }

    public void setMakerName(String makerName) {
        this.makerName = makerName;
    }

    public void setAuditorId(String auditorId) {
        this.auditorId = auditorId;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public void setTallymanId(String tallymanId) {
        this.tallymanId = tallymanId;
    }

    public void setTallymanName(String tallymanName) {
        this.tallymanName = tallymanName;
    }

    public void setAccBookCode(String accBookCode) {
        this.accBookCode = accBookCode;
    }

    public void setAccBookName(String accBookName) {
        this.accBookName = accBookName;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public void setVoucherTypeName(String voucherTypeName) {
        this.voucherTypeName = voucherTypeName;
    }

    public void setVoucherStr(String voucherStr) {
        this.voucherStr = voucherStr;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public void setYtenantId(String ytenantId) {
        this.ytenantId = ytenantId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setPubts(Date pubts) {
        this.pubts = pubts;
    }

    public void setSourceGrandId(String sourceGrandId) {
        this.sourceGrandId = sourceGrandId;
    }

    public void setFirstId(String firstId) {
        this.firstId = firstId;
    }

    public void setFirstChildId(String firstChildId) {
        this.firstChildId = firstChildId;
    }

    public void setFirstBusiObj(String firstBusiObj) {
        this.firstBusiObj = firstBusiObj;
    }

    public void setFirstCode(String firstCode) {
        this.firstCode = firstCode;
    }

    public void setBizflowId(String bizflowId) {
        this.bizflowId = bizflowId;
    }

    public void setBizflowName(String bizflowName) {
        this.bizflowName = bizflowName;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public void setSourceChildId(String sourceChildId) {
        this.sourceChildId = sourceChildId;
    }

    public void setBizFlowInstanceId(String bizFlowInstanceId) {
        this.bizFlowInstanceId = bizFlowInstanceId;
    }

    public void setSourceBusiObj(String sourceBusiObj) {
        this.sourceBusiObj = sourceBusiObj;
    }

    public void setSourceCode(String sourceCode) {
        this.sourceCode = sourceCode;
    }

    public void setBizFlowMakeBillCode(String bizFlowMakeBillCode) {
        this.bizFlowMakeBillCode = bizFlowMakeBillCode;
    }

    public void setDr(Short dr) {
        this.dr = dr;
    }

    public void setVerifyState(Short verifyState) {
        this.verifyState = verifyState;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public void setAuditNote(String auditNote) {
        this.auditNote = auditNote;
    }

    public void setProcinstId(String procinstId) {
        this.procinstId = procinstId;
    }

    public void setVoucherBodyList(List<VoucherBody> voucherBodyList) {
        this.voucherBodyList = voucherBodyList;
    }

    public String getVoucherId() {
        return voucherId;
    }

    public String getPeriod() {
        return period;
    }

    public String getDisplayname() {
        return displayname;
    }

    public String getSrcsystem() {
        return srcsystem;
    }

    public String getVoucherstatus() {
        return voucherstatus;
    }

    public BigDecimal getTotaldebit_org() {
        return totaldebit_org;
    }

    public BigDecimal getTotalcredit_org() {
        return totalcredit_org;
    }

    public BigDecimal getOrganizeDebitTotalAmount() {
        return organizeDebitTotalAmount;
    }

    public BigDecimal getOrganizeCreditTotalAmount() {
        return organizeCreditTotalAmount;
    }

    public BigDecimal getTotaldebit_group() {
        return totaldebit_group;
    }

    public BigDecimal getTotalcredit_group() {
        return totalcredit_group;
    }

    public BigDecimal getTotaldebit_global() {
        return totaldebit_global;
    }

    public BigDecimal getTotalcredit_global() {
        return totalcredit_global;
    }

    public String getMaketime() {
        return maketime;
    }

    public String getMakerId() {
        return makerId;
    }

    public String getMakerName() {
        return makerName;
    }

    public String getAuditorId() {
        return auditorId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public String getTallymanId() {
        return tallymanId;
    }

    public String getTallymanName() {
        return tallymanName;
    }

    public String getAccBookCode() {
        return accBookCode;
    }

    public String getAccBookName() {
        return accBookName;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public String getVoucherTypeName() {
        return voucherTypeName;
    }

    public String getVoucherStr() {
        return voucherStr;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public String getModifier() {
        return modifier;
    }

    public String getYtenantId() {
        return ytenantId;
    }

    public String getId() {
        return id;
    }

    public Date getPubts() {
        return pubts;
    }

    public String getSourceGrandId() {
        return sourceGrandId;
    }

    public String getFirstId() {
        return firstId;
    }

    public String getFirstChildId() {
        return firstChildId;
    }

    public String getFirstBusiObj() {
        return firstBusiObj;
    }

    public String getFirstCode() {
        return firstCode;
    }

    public String getBizflowId() {
        return bizflowId;
    }

    public String getBizflowName() {
        return bizflowName;
    }

    public String getSourceId() {
        return sourceId;
    }

    public String getSourceChildId() {
        return sourceChildId;
    }

    public String getBizFlowInstanceId() {
        return bizFlowInstanceId;
    }

    public String getSourceBusiObj() {
        return sourceBusiObj;
    }

    public String getSourceCode() {
        return sourceCode;
    }

    public String getBizFlowMakeBillCode() {
        return bizFlowMakeBillCode;
    }

    public Short getDr() {
        return dr;
    }

    public Short getVerifyState() {
        return verifyState;
    }

    public String getAuditor() {
        return auditor;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public String getAuditNote() {
        return auditNote;
    }

    public String getProcinstId() {
        return procinstId;
    }

    public List<VoucherBody> getVoucherBodyList() {
        return voucherBodyList;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
